org.apache.maven.profiles.activation

## Interface ProfileActivator

All Known Implementing Classes:
  AlwaysOnProfileActivator, DetectedProfileActivator, FileProfileActivator, JdkPrefixProfileActivator, OperatingSystemProfileActivator, SystemPropertyProfileActivator

    public interface ProfileActivator

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`boolean` `canDetermineActivation(Profile profile)`
`boolean` `isActive(Profile profile)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### canDetermineActivation

    boolean canDetermineActivation(Profile profile)

#### isActive

    boolean isActive(Profile profile)
                     throws ProfileActivationException

Throws:
  `ProfileActivationException`